<template>
<!DOCTYPE html>
<html lang="en">

   <div class="container w-75 bg-primary my-5 rounded shadow">
      <div class="row align-items-stretch">
        <div class="col bg-white p-5 rounded-end">
          <div class="text-end">
            <img src="../assets/health.png" width="50" alt="">
          </div>

          <h2 class="fw-bold text-center py-5"> Formulario de Registro </h2>

          <!-- REGISTRO -->

          <form class="text-start" action ="#">
            
            <div class="mb-4">
              <label for="nombre" class="form-label">Nombre</label>
              <input type="nombre" class="form-control" name="nombre">
            </div>

            <div class="mb-4">
              <label for="apellidos" class="form-label">Apellidos</label>
              <input type="apellidos" class="form-control" name="apellidos">
            </div>

            <div class="mb-4">
              <label for="email" class="form-label">Correo electrónico</label>
              <input type="email" class="form-control" name="email">
            </div>

            <div class="mb-4">
              <label for="username" class="form-label">Nombre de Usuario</label>
              <input type="username" class="form-control" name="username">
            </div>

            <div class="mb-4">
              <label for="password" class="form-label">Contraseña</label>
              <input type="password" class="form-control" name="password">
            </div>

            <div class="mb-4">
              <label for="password" class="form-label">Repetir Contraseña</label>
              <input type="password" class="form-control" name="password">
            </div>
             
            <div class="d-grid">
              <a class="btn btn-primary">Registro</a>
            </div>

          </form>

          <!-- LOGIN CON GOOGLE -->

          <!-- Divider Text -->
          <div class="form-group col-lg-12 mx-auto d-flex align-items-center my-4">
              <div class="border-bottom w-100 ml-5"></div>
              <span class="px-2 small text-muted font-weight-bold text-muted">Ó</span>
              <div class="border-bottom w-100 mr-5"></div>
          </div>

           <a class="btn btn-block btn-social btn-google">
            <i class="fab fa-google d-none d-md-block"></i> Registro con Google
          </a>

        </div>
      </div>
    </div>
</html>
</template>

<script lang="ts">

import { defineComponent } from '@vue/runtime-core'
import AuthService from '@/services/AuthService'

export default defineComponent({
  name: 'LoginView',

  components: {
  }
});
</script>


<style lang="scss" scoped>

</style>